gtc/integer.hpp File Reference

GLM_GTC_integer More...

Go to the source code of this file.

## Functions

template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< int, P > | iround (vecType< T, P > const &x)
| Returns a value equal to the nearest integer to x. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | log2 (genIUType x)
| Returns the log2 of x for integer values. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | mod (genIUType x, genIUType y)
| Modulus. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | mod (vecType< T, P > const &x, T y)
| Modulus. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | mod (vecType< T, P > const &x, vecType< T, P > const &y)
| Modulus. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< uint, P > | uround (vecType< T, P > const &x)
| Returns a value equal to the nearest integer to x. More...

## Detailed Description

GLM_GTC_integer

See also
  GLM Core (dependence)
  GLM_GTC_integer (dependence)

Definition in file gtc/integer.hpp.